Skip to main content
GET
List

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

searchKey
string

The searchKey query parameter work for both name and uid: It performs a LIKE% query, searching for uid/name values starting with the specified characters.

searchIn
enum<string>[]

Searches for specified keyword in name,UID or both.

Available options:
name,
uid
status
enum<string>

User list can be fetched depending on the user status. (available,offline).

Available options:
available,
offline
Example:

"available"

count
boolean

Fetches users count.

perPage
integer
default:100

Number of users to be fetched in a request. The default value is 100 and the maximum value is 1000.

page
integer
default:1

Page Number.

role
string

Retrieves user list based on role.

withTags
boolean

Includes tags in the response.

tags
string[]

Fetches only those users that have these tags.

roles
string[]

Fetches users based on multiple roles.

onlyDeactivated
boolean

Fetches all the deactivated users of an app.

withDeactivated
boolean

Fetches all the users including deactivated users.

createdAt[<operator>]
integer

Filter by createdAt start timestamp. Value is a 10-digit unix timestamp. Filters records created on or after this timestamp. Can be used with createdAt[to] for a date range. Supported operators: from, to. Format: createdAt[operator]=value. Example: createdAt[from]=1738368000

updatedAt[<operator>]
integer

Filter by updatedAt start timestamp. Value is a 10-digit unix timestamp. Filters records updated on or after this timestamp. Can be used with updatedAt[to] for a date range. Supported operators: from, to. Format: updatedAt[operator]=value. Example: updatedAt[from]=1738368000

Response

200 - application/json

A list of users

data
any[]
meta
object